Package org.lwjgl.util.vector

# Interface WritableVector3f

All Superinterfaces:
  `WritableVector2f`

All Known Subinterfaces:
  `WritableVector4f`

All Known Implementing Classes:
  `Vector3f`, `Vector4f`

public interface WritableVector3f extends WritableVector2f
Writable interface to Vector3fs

Version:
  $revision$ $Id$
Author:
  $author$

## Method Summary

Modifier and Type
Method
Description
`void`
`set(float x, float y, float z)`
Set the X,Y,Z values
`void`
`setZ(float z)`
Set the Z value

### Methods inherited from interface org.lwjgl.util.vector.WritableVector2f

`set, setX, setY`

## Method Details

### setZ

void setZ(float z)
Set the Z value

Parameters:
  `z` -

### set

void set(float x, float y, float z)
Set the X,Y,Z values

Parameters:
  `x` -
  `y` -
  `z` -